Bug 1388643 - gnome-software has no "Help" or "About" menu
Summary: gnome-software has no "Help" or "About" menu
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 19:52 UTC by Geoffrey Marr
Modified: 2017-12-12 10:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:48:22 UTC


Attachments (Terms of Use)

Description Geoffrey Marr 2016-10-25 19:52:04 UTC
Description of problem:
Using Fedora-25-20161017-x86_64-Workstation install. When gnome-software is launched, there is no "Help" or "About" menu from within the GUI. I have tried right clicking on the taskbar icon (am only given the option to "Quit") and looking for a "Help" or "About" page from within the app itself. This causes the desktop_menus testcase [1] to fail.

[1] https://fedoraproject.org/wiki/QA:Testcase_desktop_menus

Version-Release number of selected component (if applicable):
gnome-software 3.22.1
Fedora-25-20161017-x86_64-Workstation

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora-25-20161017-x86_64-Workstation
2. Launch gnome-software from the menubar
3. Look for "Help" or "About" menu

Actual results:
There is no "Help" or "About" menu.

Expected results:
There should be a "Help" or "About" menu.

Comment 1 J. Haas 2016-10-27 05:58:07 UTC
Probably related to/duplicate of bug 1384537

Comment 2 Fedora End Of Life 2017-11-16 18:58:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:48:22 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.